declare const siteSearch: HTMLDivElement;
declare const scrollbarWidth: number;
declare const overlay: Element | null;
declare const dialog: Element | null;
declare const input: Element | null;
declare const clearButton: Element | null;
declare const results: Element | null;
declare const animationDuration = 150;
declare const searchDebounce = 100;
declare let isShowing: boolean;
declare let searchTimeout: any;
declare let searchIndex: any;
declare let map: any;
declare const searchIndexFetch: Promise<void>;
declare function show(): Promise<void>;
declare function hide(): Promise<void>;
declare function handleInput(): void;
declare function handleClear(): void;
declare function handleMouseDown(event: any): void;
declare function handleKeyDown(event: any): void;
declare function updateResults(query?: string): Promise<void>;
